Subject: [xml2rfc] Issue with PI "include" inside <artwork>

From: Riccardo Bernardini <[email-masked]>
Date: Wed, 10 Jul 2013 11:59:34 +0200

Dear all,
I run into a problem while using the PI "include" inside <artwork>.   
The problem was present in the old (TCL based) version of xml2rfc and  
it seems to persist in the new (python based, just installed) one.

I have something like

   <figure>
   <artwork>
   John
   <?rfc include="u.xml"?>
   the dancing hog
   </artwork>
   </figure>

where the u.xml file contains "1, 2, 3 prova..."  The perplexing result is

    John

    John

    John

If I use <?rfc include="u.xml"?> outside <artwork>, everything works  
fine.  Any ideas?

In order to allow you to experiment, I am attaching to this e-mail the  
XML "main" file (draft-test.xml), the file to be included (u.xml) and  
the result (draft-test.txt)

-- 
Riccardo Bernardini
DIEGM -- University of Udine
via delle Scienze 208
33100 Udine
Tel: +39-0432-55-8271
Fax: +39-0432-55-8251

----------------------------------------------------------------------
SEMEL (SErvizio di Messaging ELettronico) - AINF, Universita' di Udine